# Cities Skylines 2 : Improved Service Vehicle AI

#### Service vehicles will be improved with a more natural mechanism.

## Notification

#### If this mod is not applied properly, you should destroy the building and rebuild it.
#### (Park Maintenance Depot, Road Maintenance Depot etc.)


## Updated
#### 0.4.1 :
- Fixed some code misses related to garbageTruckAI
- Fixed road repair condition issue

#### 0.4.0 :
- Fixed for use in version 1.0.19f1
#### 0.3.1 :
- Fixed the problem that the Park Maintenance Car stopped
#### 0.3.0 :	
- Fixed the problem that Park Maintenance Car repair only once	
- Road maintenance cars change speed more fluidly
- Fixed some other bugs about Road maintenance car
#### 0.2.3 :	
- Fixed the problem that the condition of the garbage truck was not properly reflected
#### 0.2.2 :	
- 
#### 0.2.1 :	
- Fixed the problem that the road maintenance car is moving with a pause


## Features
### 1. Maintenance Car
- Work differently by time zone (Day: 06- 22 / Night: 22- 06)
- At day, Repair roads without stopping (Repair volume: Medium)
- At night, Repair roads without stopping (Repair volume: Small) and stop at their destinations (Repair volume: Large)
- Maintenance Vehicles' maximum capacity is increased according to the change of repair volume and method
- Don't stop at Waypoint
- The maximum speed is adjusted according to the status of Working, Returing and Dispatch

### 2. Garbage Car
- Collect garbages without stopping (except when collect Industrial wastes which is collected at the destination buildings)
- Don't stop at Waypoint
- The maximum speed is adjusted according to the status of Working, Moving, Returing and Being Full
- When it's not in the work, it's speed starts at a normal moving speed and gradually decreases to working speed as they approach the - working point.

### 3. Post Car
- Don't stop at Waypoint
- Stop for a short time at the destination
- Delivery and collection are also carried out at the same time in buildings near the destination (Except when a vehicle enters the building)
- Priority of collection from post boxes is increased
- They run on the same lanes as a normal vehicles
- We've changed the update cycle in line with the new method to reduce the computational load

### 4. Others
- It may take some time to be applied
- Vehicles that follow the Vanilla mechanism will be automatically deleted

## Support
- Because I don't speak and write English, aided by translator when write this article.
- My mod is basically using the original functions so that I don't want to destroy the saved file
- Please use Discord for inquiries about mods, corrections, and bug reports.
- Discord : https://discord.gg/RyBRtyuMQw

## Compatibility
- This mod uses 'GarbageTruckAISystem' 'MaintenanceVehicleAISystem' 'PostVanAISystem'

## Requirements
-  Game 1.0.19f1
-  BepInEx 5.4.21.0